from setuptools import setup, find_packages

from multischleuder import __version__


setup(
    name='multischleuder',
    version=__version__,
    author='s3lph',
    author_email='s3lph@kabelsalat.ch',
    description='Merge subscribers and keys of multiple Schleuder lists into one',
    license='MIT',
    keywords='schleuder,pgp',
    url='https://git.kabelsalat.ch/s3lph/multischleuder',
    packages=find_packages(exclude=['*.test']),
    install_requires=[
        'python-dateutil',
        'PyYAML',
        'PGPy',
    ],
    extras_require={
        'test': [
            'aiosmtpd',
            'coverage',
            'pycodestyle',
            'mypy',
            'deepdiff',
            'twine'
        ]
    },
    entry_points={
        'console_scripts': [
            'multischleuder = multischleuder.main:main'
        ]
    },
)
